Table of Contents

## Name

glBlendColor - set the blend color

## C Specification

void glBlendColor( GLclampf red,

        GLclampf green,
        GLclampf blue,
        GLclampf alpha )

eqn not supported

## Parameters

red, green, blue, alpha
  specify the components of GL_BLEND_COLOR

## Description

The GL_BLEND_COLOR may be used to calculate the source and destination blending factors. The color components are clamped to the range [0, 1] before being stored. See glBlendFunc for a complete description of the blending operations. Initially the GL_BLEND_COLOR is set to (0, 0, 0, 0).

## Notes

glBlendColor is part of the GL_ARB_imaging subset. glBlendColor is present only if GL_ARB_imaging is returned when glGetString is called with GL_EXTENSIONS as its argument.

## Errors

GL_INVALID_OPERATION is generated if glBlendColor is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with an argument of GL_BLEND_COLOR

## See Also

glBlendEquation(3G) , glBlendFunc(3G) , glGetString(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- Associated Gets
- See Also